#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = Forms

PROJECTVERSION = 2.8
PROJECT_TYPE = Component

CLASSES = OHHTMLDisplayProcessor-Forms.m OHForm.m OHFormActionButton.m\
          OHFormArchive.m OHFormButton.m OHFormElementArchive.m\
          OHFormFile.m OHFormHidden.m OHFormImage.m OHFormInputButton.m\
          OHFormSelect.m OHFormSelectMultiple.m OHFormSelectOption.m\
          OHFormText.m OHFormTextArea.m OHFormValue.m\
          OHFormSelectPopup.m

HFILES = OHForm.h OHFormActionButton.h OHFormArchive.h OHFormButton.h\
         OHFormElementArchive.h OHFormElementProtocol.h OHFormFile.h\
         OHFormHidden.h OHFormImage.h OHFormInputButton.h\
         OHFormSelect.h OHFormSelectMultiple.h OHFormSelectOption.h\
         OHFormText.h OHFormTextArea.h OHFormValue.h\
         OHFormSelectPopup.h

OTHERSRCS = Makefile Makefile.postamble Makefile.preamble


MAKEFILEDIR = $(NEXT_ROOT)/NextDeveloper/Makefiles/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = subproj.make
NEXTSTEP_INSTALLDIR = $(OMNI_FRAMEWORKS)
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


PUBLIC_HEADERS = OHFormArchive.h OHFormElementProtocol.h OHForm.h\
                 OHFormValue.h OHFormSelectOption.h OHFormSelect.h\
                 OHFormImage.h

PROJECT_HEADERS = OHForm.h OHFormArchive.h OHFormValue.h\
                  OHFormSelectOption.h OHFormSelect.h OHFormImage.h



NEXTSTEP_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
